org.codehaus.plexus.metadata.gleaner

## Class AnnotationComponentGleaner

- java.lang.Object
- - org.codehaus.plexus.metadata.gleaner.ComponentGleanerSupport
  - - org.codehaus.plexus.metadata.gleaner.AnnotationComponentGleaner

All Implemented Interfaces:
  ClassComponentGleaner

    public class AnnotationComponentGleaner
    extends ComponentGleanerSupport
    implements ClassComponentGleaner

A class component gleaner which inspects each type for `org.codehaus.plexus.component.annotations.*` annotations and when found translates them into a `ComponentDescriptor`.

Version:
  $Id: AnnotationComponentGleaner.java 8455 2009-10-01 22:10:12Z bentmann $

### Field Summary

### Fields inherited from interface org.codehaus.plexus.metadata.gleaner.ClassComponentGleaner

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationComponentGleaner()`

### Method Summary

Methods
`ComponentDescriptor<?>` `glean(java.lang.String className, java.lang.ClassLoader cl)`

### Methods inherited from class org.codehaus.plexus.metadata.gleaner.ComponentGleanerSupport

`addChildConfiguration, deHump, filterEmptyAsNull, isRequirementListType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationComponentGleaner

    public AnnotationComponentGleaner()

### Method Detail

#### glean

    public ComponentDescriptor<?> glean(java.lang.String className,
                               java.lang.ClassLoader cl)
                                 throws ComponentGleanerException

Specified by:
  `glean` in interface `ClassComponentGleaner`
Throws:
  `ComponentGleanerException`